%define version 0.33
%define release %mkrel 19
%define realversion 0.33-13

Summary: An interactive text-mode program for controlling audio CD-ROMs.
Name: cdp
Version: %{version}
Release: %{release}
License: GPL
Group: Sound
URL: http://cdp.sourceforge.net/
BuildRequires: ncurses-devel
Source: ftp://sunsite.unc.edu/pub/Linux/apps/sound/cdrom/curses/cdp-%{realversion}.tar.bz2
Patch7: cdp-keys.patch.bz2
Patch8: cdp-cdrom_o_nonblock.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
The cdp program plays audio CDs in your computer's CD-ROM drive.
Cdp includes a full-screen interface version and a command line
version.

Install cdp to play audio CDs on your system.

%prep
%setup -q -n %{name}-%{realversion}
%patch7 -p1 
%patch8 -p1 

%build
#remove old x86 .o files
rm -fr *.o
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man,man/man1}

%makeinstall DESTDIR=$RPM_BUILD_ROOT
# DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/usr/share
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/cdp
/usr/bin/cdplay
%{_mandir}/man1/cdp.1*


%changelog
* Tue Jun 19 2007 Adam Williamson <awilliamson@mandriva.com> 0.33-19mdv2008.0
+ Revision: 41198
- rebuild for 2008
- Import cdp



* Wed Sep 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.33-18mdv2007.0
- - Rebuild against ncurse

* Fri May 12 2006 Stefan van der Eijk <stefan@eijk.nu> 0.33-17mdk
- rebuild for sparc

* Sun Jun 15 2003 Stefan van der Eijk <stefan@eijk.nu> 0.33-16mdk
- BuildRequires

* Sun Apr 27 2003 Andrey Borzenkov <arvidjaar@mail.ru> 0.33-15mdk
- open cdrom with O_NONBLOCK to avoid failure if dev.cdrom.check_media
  is on

* Thu Jan 10 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.33-14mdk
- remove old .x86 .o files - fails on other arches

* Wed Jan  2 2002 Warly <warly@mandrakesoft.com> 0.33-13mdk
- based on cdp-0.33-13

* Wed Jan  2 2002 Warly <warly@mandrakesoft.com> 0.33-12mdk
- add url tag

* Mon Jul  2 2001 Warly <warly@mandrakesoft.com> 0.33-11mdk
- clean spec

* Fri Nov 10 2000 Warly <warly@mandrakesoft.com> 0.33-10mdk
- built with glibc 2.2 and gcc 2.96

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.33-9mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Warly <warly@mandrakesoft.com> 0.33-8mdk
- BM

* Fri Mar 24 2000 Warly <warly@mandrakesoft.com> 0.33-7mdk
- new group
- spechelper

* Mon Nov 22 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- cdchanger patch, %%patch & Patch sux (rh#2735), segfault of improper keypress

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable sane SMP building

* Sat Oct 16 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix incorrect Path in patch #2 (cdp-0.33-ncurses.patch.bz2)

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- changed group, this app will never be updated.

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- not sure if this package will ever be updated. 
- rebuilt for 6.0

* Sat Aug 15 1998 Jeff Johnson
- build root

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed src url

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
